cascading.flow.stream.element

## Class SinkStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<TupleEntry,java.lang.Void>
      - - cascading.flow.stream.element.SinkStage

All Implemented Interfaces:
  ElementDuct

    public class SinkStage
    extends ElementStage<TupleEntry,java.lang.Void>

### Field Summary

### Fields inherited from class cascading.flow.stream.element.ElementStage

`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

### Fields inherited from class cascading.flow.stream.duct.Duct

`next`

### Constructor Summary

Constructors
Constructor and Description
`SinkStage(FlowProcess flowProcess, Tap sink)`

### Method Summary

Methods
`void` `bind(StreamGraph streamGraph)`
`void` `cleanup()`
`void` `complete(Duct previous)`
`protected java.lang.Object` `getOutput()`
`Tap` `getSink()`
`void` `prepare()`
`void` `receive(Duct previous, int ordinal, TupleEntry tupleEntry)`
`void` `start(Duct previous)`

### Methods inherited from class cascading.flow.stream.element.ElementStage

`equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

### Methods inherited from class cascading.flow.stream.duct.Duct

`getNext, getNextFor, initialize, receiveFirst`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SinkStage

    public SinkStage(FlowProcess flowProcess,
             Tap sink)

### Method Detail

#### getSink

    public Tap getSink()

#### bind

    public void bind(StreamGraph streamGraph)

Overrides:
  `bind` in class `Duct<TupleEntry,java.lang.Void>`

#### prepare

    public void prepare()

Overrides:
  `prepare` in class `Duct<TupleEntry,java.lang.Void>`

#### getOutput

    protected java.lang.Object getOutput()

#### start

    public void start(Duct previous)

Overrides:
  `start` in class `Duct<TupleEntry,java.lang.Void>`

#### receive

    public void receive(Duct previous,
               int ordinal,
               TupleEntry tupleEntry)

Overrides:
  `receive` in class `Stage<TupleEntry,java.lang.Void>`

#### complete

    public void complete(Duct previous)

Overrides:
  `complete` in class `Duct<TupleEntry,java.lang.Void>`

#### cleanup

    public void cleanup()

Overrides:
  `cleanup` in class `ElementStage<TupleEntry,java.lang.Void>`